diff a/src/hotspot/share/oops/resolvedIndyEntry.hpp b/src/hotspot/share/oops/resolvedIndyEntry.hpp
--- a/src/hotspot/share/oops/resolvedIndyEntry.hpp
+++ b/src/hotspot/share/oops/resolvedIndyEntry.hpp
@@ -128,10 +128,11 @@
   void adjust_method_entry(Method* new_method) { _method = new_method; }
   bool check_no_old_or_obsolete_entry();
 
   // CDS
   void remove_unshareable_info();
+  void mark_and_relocate();
 
   // Offsets
   static ByteSize method_offset()                    { return byte_offset_of(ResolvedIndyEntry, _method);                    }
   static ByteSize resolved_references_index_offset() { return byte_offset_of(ResolvedIndyEntry, _resolved_references_index); }
   static ByteSize result_type_offset()               { return byte_offset_of(ResolvedIndyEntry, _return_type);               }
